Android 5.1 and above ?

User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#1 Android 5.1 and above ?

Post by Alez »

Does anyone have their droids running on lolipop or above ?
Haven't set it up yet but my tronsmart orion has android 5.1. I believe that nativeBOINC doesn't work above 4.4 though I may be wrong. I think it is because nativeBOINC doesn't report kernel version to server and so the project server can't determine pie / non pie and 5 and above must have pie apps or it will fail.
So question is does the latest version of BOINC for droid work with boinctasks yet ?
If not, does the HTC power to Give app work with boinctasks ?
Image
The best form of help from above is a sniper on the rooftop....
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#2 Re: Android 5.1 and above ?

Post by Alez »

What a PITA.
Fired up the cloudnetgo cr13s ( cortex A-17 RK 3288) with droid 4.4 , installed nativeBOINC and off and crunching. Connected to bam and boinktasks no problem.
Next the Tronsmart Orion R68 ( cortex A-53, RK3368 ) with droid 5.1.1.
Installed BOINC from playstore 7.4.53. Installs and then fails to get past splash screen.
Installed HTC power to give. Exactlly the same.
Installed nativeBOINC. Installs, gets to setup but then fails with failure to connect to client error and then can get no further.
Finally installed aptoide, found BOINC 7.4.43 and installed that. Success but as we know, berkley boinc does not accept any form of remote connection so no boinctasks. At least it's crunching though.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
Silver
Boinc Brigadier
Boinc Brigadier
Posts: 2210
Joined: Sun Apr 14, 2013 7:09 pm
Location: Aberdeen/Anguilla
Has thanked: 0
Been thanked: 0

#3 Re: Android 5.1 and above ?

Post by Silver »

Hmm, not so good.
I suppose we can only hope for an updated version to appear at some point.
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#4 Re: Android 5.1 and above ?

Post by Alez »

Think anyone considering a new droid at the moment would be better sticking to android 4 if you wish to farm them. I very much doubt after all this time since the last update that nativeBOINC will be updated. From what I can gather 7.4.53 fixes issues with android 6 but may cause issues with android 5. 7.4.43 seems to work on android 5.1.1 at least on my device it is. Enabled 7 of the 8 cores and it's chomping on Universe Bspin units. I'm classing it as a win at the moment :)
Image
The best form of help from above is a sniper on the rooftop....
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#5 Re: Android 5.1 and above ?

Post by Dirk Broer »

We, BOINC users, might have to take the development of NativeBoinc into our own hands. Just my two cents...the alternative is the 'official' Android client, but that has issues using BOINC Tasks.
Image
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#6 Re: Android 5.1 and above ?

Post by scole of TSBT »

Is the NativeBoinc source available?
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#7 Re: Android 5.1 and above ?

Post by Alez »

scole250 wrote:Is the NativeBoinc source available?
native boinc site here
native boinc GitHub here
index of files here
Image
The best form of help from above is a sniper on the rooftop....
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#8 Re: Android 5.1 and above ?

Post by scole of TSBT »

I'll see if I can get our mobile app developer to build a version that will run on newer versions of Android.
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#9 Re: Android 5.1 and above ?

Post by Alez »

That would be well cool.
I believe the biggest issues are that nativeBOINC cant connect to client on android 5 and above and that nativeBOINC reports the kernel version not pie or non pie to the BOINC server software, so for a lot of projects that have PIE / non PIE versions the server doesn't know what version to send. Some seem to default to non PIE others just report no tasks sent.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#10 Re: Android 5.1 and above ?

Post by scole of TSBT »

Can BoincTasks connect to the client? If so, maybe adding this to the cc_config.xml might work...
<cc_config>
<options>
<alt_platform>arm-android</alt_platform>
</options>
</cc_config>
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#11 Re: Android 5.1 and above ?

Post by Alez »

As far as I am aware there is no way to connect as the berkley boinc manager for android does not accept remote access requests.
There might be a way to add a cc_config if you have a rooted device but not sure if the servers will accept an anonymous platform on android. Will do a bit of digging when I get a chance. In the middle of rebuilding Vulcan as updating it cause it to trash the op sys. Fresh install required.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#12 Re: Android 5.1 and above ?

Post by scole of TSBT »

I meant when it was running NativeBoinc, could BoincTasks connect to it? But I guess if the NativeBoinc manager(?) couldn't connect to configure and allow remote connections, then answer would be no.

Oh, forgot...
Image
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#13 Re: Android 5.1 and above ?

Post by Alez »

yip thats correct. nativeboinc would not connect to client so could not set name or password or run boinc. Basically it doesn't work above android 4 for computation let alone boinctasks connection.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#14 Re: Android 5.1 and above ?

Post by scole of TSBT »

I've ordered RK3368 tv box with android 5.1. One of my guys said he would take a shot at getting a version of NativeBoinc compiled and running on it. Swapping his time for some spare PC parts.
Image
User avatar
Silver
Boinc Brigadier
Boinc Brigadier
Posts: 2210
Joined: Sun Apr 14, 2013 7:09 pm
Location: Aberdeen/Anguilla
Has thanked: 0
Been thanked: 0

#15 Re: Android 5.1 and above ?

Post by Silver »

Fingers crossed he can get it up and running.
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#16 Re: Android 5.1 and above ?

Post by Alez »

I'll even paypal him for his time. NativeBOINC is archaic now and needs updating but is far superior to any official droid release from Berkley. Very disapointed in their responce.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#17 Re: Android 5.1 and above ?

Post by scole of TSBT »

That's ok. BTW, I've got my best guys on it :thumbright:

Image

All seriousness, they are two of sharpest developers I've ever worked with.
Image
User avatar
Gibson Praise
Boinc Colour Sergeant
Boinc Colour Sergeant
Posts: 253
Joined: Sat Nov 26, 2016 4:13 am
Location: Haunting Cheyenne Mountain
Has thanked: 0
Been thanked: 0
Contact:

#18 Re: Android 5.1 and above ?

Post by Gibson Praise »

scole250 wrote:That's ok. BTW, I've got my best guys on it :thumbright:

Image

All seriousness, they are two of sharpest developers I've ever worked with.
All the same, they look a bit dismayed at the task you have set them ... :roll:
Image
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#19 Re: Android 5.1 and above ?

Post by scole of TSBT »

The guys are still working on an updated NativeBoinc install. They have a little bit of learning curve on this. All the android app development they've done up to now has been in Java. NativeBoinc is C so it's taking a little bit of time to work it out.
Image
User avatar
Silver
Boinc Brigadier
Boinc Brigadier
Posts: 2210
Joined: Sun Apr 14, 2013 7:09 pm
Location: Aberdeen/Anguilla
Has thanked: 0
Been thanked: 0

#20 Re: Android 5.1 and above ?

Post by Silver »

I'm sure we'll manage to wait another day or two ;)
Image
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#21 Re: Android 5.1 and above ?

Post by Dirk Broer »

scole250 wrote:The guys are still working on an updated NativeBoinc install. They have a little bit of learning curve on this. All the android app development they've done up to now has been in Java. NativeBoinc is C so it's taking a little bit of time to work it out.
C is quite another cup of coffee, compared to Java...
Image
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#22 Re: Android 5.1 and above ?

Post by scole of TSBT »

Our app developer has a question...

I'm looking for a better understanding of some things.
If I am seeing things correctly the NativeBoinc(https://play.google.com/store/apps/deta ... oinc&hl=en) that you use combines the AndroBoinc(https://play.google.com/store/apps/deta ... androboinc) manager for remote clients and an internal client compiled for android devices. There is also the Boinc from Berkeley(https://play.google.com/store/apps/deta ... eley.boinc) that seems to also do this.

I believe you mentioned that the Berkeley version wasn't liked as well as the NativeBoinc. If this is correct then I would like to know why. The context of my question comes from the fact that I will be using the NativeBoinc app merely as inspiration for my own app. I need to understand the differences that made NativeBoinc better.
Image
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#23 Re: Android 5.1 and above ?

Post by Dirk Broer »

The Berkeley Boinc client for Android won't cooperate with BOINCTasks, meaning that remote control is not possible.
With NativeBoinc that's no problem.
Image
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#24 Re: Android 5.1 and above ?

Post by scole of TSBT »

Dirk Broer wrote:The Berkeley Boinc client for Android won't cooperate with BOINCTasks, meaning that remote control is not possible.
With NativeBoinc that's no problem.
He ran into some issues using the NativeBoinc source and I think he's wanting to mod the Berkeley version to make it do what we want it to do. I've told him not being able to connect to it from a Manager running on a different computer. Any other deficiencies in the Berkeley version?
Image
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#25 Re: Android 5.1 and above ?

Post by Dirk Broer »

I don't know exactly about NativeBoinc, but Berkeley's Boinc for Android only supports ARM.
I recall Alex running Android for x86 and only being able to crunch Seti, so NativeBoinc supports more architectures (MIPS also runs Android and has a BOINC manager).
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#26 Re: Android 5.1 and above ?

Post by Alez »

The x86 issue is due to the lack of projects that support. The biggest problem is lack of external managment support ie remote access and that nativeBoinc is useless beyond android 4 as it does not support pie/ non pie apps.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#27 Re: Android 5.1 and above ?

Post by Dirk Broer »

Alez wrote:nativeBoinc is useless beyond android 4 as it does not support pie/ non pie apps.
Isn't that reversing cause and effect? NativeBOINC doesn't run on Android 5 or higher, so by definition can't handle pie/non pie.
Once NativeBOINC is Android 5 compatible it will automatically be able to run pie/non pie apps.
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#28 Re: Android 5.1 and above ?

Post by Alez »

I presume so.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#29 Re: Android 5.1 and above ?

Post by Dirk Broer »

Any news on this?
Image
User avatar
scole of TSBT
Boinc Major General
Boinc Major General
Posts: 5595
Joined: Mon Feb 03, 2014 2:38 pm
Location: Goldsboro, (Eastern) North Carolina, USA
Has thanked: 15 times
Been thanked: 29 times

#30 Re: Android 5.1 and above ?

Post by scole of TSBT »

I gave up on my minions but I'll check with them again.
Image
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#32 Re: Android 5.1 and above ?

Post by Dirk Broer »

Am am about to inherit a sony cell phone/mobile/handy/whatever with Android 4.3 on it and a dual-core CPU, no earth-shakings specs you'd say.
This is because the former owner -my wife- got a new phone. Now I'm not much of a mobile phone user (I still used an old Nokia running Symbian up till now), but the specks of her new phone let me drop my jaw. Her Huawei P Smart is supposed to be a 'light' mobile phone, but it features an octo-core HiSilicon Kirin 659 CPU with an ARM Mali-T830 MP2 GPU and runs Android 8.0

This puts many an Android TV to shame. My son appears to have a mobile phone with even better specs. We seem to be doing something wrong, crunching as we do, or I've missed something more while hiding under a rock. I think we shouldn't be trying to let Native Boinc run under Android 5.1 (or higher), we should aim at a New Native Boinc, integrated with a BOINC Tasks-like interface to run our crunching farms from our Android Smartphones.
Image
User avatar
Alez
[ TSBT's Pirate ]
[ TSBT's Pirate ]
Posts: 10332
Joined: Thu Oct 04, 2012 1:22 pm
Location: roaming the planet
Has thanked: 21 times
Been thanked: 53 times

#33 Re: Android 5.1 and above ?

Post by Alez »

I've got a Huawei P9 Smart to, nice bit of kit, as good as my Google Nexus 5X was before it blew itself up .... probably due to BOINC.
Image
The best form of help from above is a sniper on the rooftop....
User avatar
Dirk Broer
Corsair
Corsair
Posts: 1706
Joined: Thu Feb 20, 2014 11:24 pm
Location: Leiden, South Holland, Netherlands
Has thanked: 29 times
Been thanked: 40 times
Contact:

#34 Re: Android 5.1 and above ?

Post by Dirk Broer »

Dirk Broer wrote: Sun Jun 17, 2018 12:56 amI think we shouldn't be trying to let Native Boinc run under Android 5.1 (or higher), we should aim at a New Native Boinc, integrated with a BOINC Tasks-like interface to run our crunching farms from our Android Smartphones.
BOINCTasks seems to have been thinking along similair lines:
BoincTasksCloud: Control BOINC from anywhere.
New, the connection now fully secured using ssl (https).
Allows you to control BOINC on your pad of phone all over the world.
Check out BoincTasks Cloud
Image
Post Reply Previous topicNext topic

Return to “Android”